keywait(1)

NAME
keywait - pause and wait for input.

SYNOPSIS
keywait [options] [prompt]

DESCRIPTION
Pause and wait for keyboard input. A prompt can be displayed to the user, and the timeout to wait for keyboard input can be specified. Before waiting any pending input is automatically flushed. If no timeout is specified then keywait will wait forever.

OPTIONS

--timeout=seconds
    Specify number of seconds to wait for input.

--help
    Outputs help screen for the user.

EXIT CODES
Returns 0 if keyboard entry was received. 1 if timeout. 2 for any error.

AUTHOR
keywait was written by David Sugar <dyfet@gnutelephony.org>.

REPORTING BUGS
Report bugs to bug-commoncpp@gnu.org or bugs@gnutelephony.org.

COPYRIGHT
Copyright © 2013-2014 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.